import React, { Component } from 'react'
import { Link } from 'react-router'
import {StyleSheet, css} from 'aphrodite/no-important'

class Breadcrumbs extends Component {

  state = {};

  render () {
    const {breadcrumbs} = this.props;

    return (
      <div className={css(styles.breadcrumbs)}>
        {
          breadcrumbs.map((item, index) => {
            return (
              <span key={index} className={css(styles.breadcrumbs__item)} style={{float: 'left'}}>
                {
                  index == breadcrumbs.length - 1?
                    <span>item.name</span>:
                    <span>
                      <Link to={item.link} style={{color: '#666'}}>{item.name}</Link>
                      <span>/</span>
                    </span>
                }</span>
            )
          })
        }
      </div>
    )
  }
}

const styles = StyleSheet.create({

  breadcrumbs: {
    padding: '10px 2px',
    lineHeight: '20px',
    ':after': {
      content: '""',
      display: 'table',
      clear: 'both'
    }
  },

  breadcrumbs__item: {
    paddingRight: 4,
    textDecoration: 'none',
    color: '#888',
    fontSize: 13
  },

});

export default Breadcrumbs
